## edu.cwru.SimpleRTS.util
Class Map

    java.lang.Object
      edu.cwru.SimpleRTS.util.Map

    public class Map

extends java.lang.Object

store maps and status into files; load maps and status from files.

Author:
  Feng

Constructor Summary
`Map()`

Method Summary
`Environment` `getEnvironment()`
`static Map` `loadMap(java.lang.String filename)`
`void` `setEnv(Environment env)`
`static void` `storeMap(java.lang.String filename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Map

    public Map()

Method Detail

### setEnv

    public void setEnv(Environment env)

### getEnvironment

    public Environment getEnvironment()

### storeMap

    public static void storeMap(java.lang.String filename)

### loadMap

    public static Map loadMap(java.lang.String filename)